source ../scripts/library_Setup_st65
analyze -format verilog {min_deg_tree.v}
elaborate tree16 -architecture verilog -library DEFAULT
set_dont_use {CORE65LPSVT/HS65_LS_NOR4AB*
		CORE65LPSVT/HS65_LS_NAND4AB*
		CORE65LPSVT/HS65_LS_MUX*
		CORE65LPSVT/HS65_LS_NOR2A*
		CORE65LPSVT/HS65_LS_NOR3A*
		CORE65LPSVT/HS65_LS_NAND3A*
		CORE65LPSVT/HS65_LS_NAND2A*
		CORE65LPSVT/HS65_LS_AO3*
		CORE65LPSVT/HS65_LS_AO2*
		CORE65LPSVT/HS65_LS_AO1*
		CORE65LPSVT/HS65_LS_OA1*
		CORE65LPSVT/HS65_LS_OA2*
		CORE65LPSVT/HS65_LS_OA3*
		CORE65LPSVT/HS65_LSS_XOR*
		CORE65LPSVT/HS65_LSS_XNOR*
		CORE65LPSVT/HS65_LS_XOR*
		CORE65LPSVT/HS65_LS_XNOR*
		CORE65LPSVT/HS65_LS_OR*
		CORE65LPSVT/HS65_LS_AND*
		CORE65LPSVT/HS65_LS_HA*
		CORE65LPSVT/HS65_LS_CB4I6*
		CORE65LPSVT/HS65_LS_CB4I1*
		CORE65LPSVT/HS65_LS_MX*
		}
set_max_delay 0.224436 -from [all_inputs]
compile -incremental_mapping -area_effort none
report_area > tree_area.rpt
write -f verilog -output "tree_temp.v"
exit
