source ../scripts/library_Setup_st65
analyze -format verilog {test.v min_deg_tree.v}
elaborate test -architecture verilog -library DEFAULT
set_fix_multiple_port_nets -all -buffer_constants
set verilogout_equation false
set verilogout_no_tri true
set write_name_nets_same_as_ports true
set verilogout_higher_designs_first false
set verilogout_show_unconnected_pins true
set hdlout_internal_busses true
set_fix_multiple_port_nets -all [get_designs]
set_dont_use {CORE65LPSVT/HS65_LS_NOR4AB*
		CORE65LPSVT/HS65_LS_NAND4AB*
		CORE65LPSVT/HS65_LS_B*
		CORE65LPSVT/HS65_LS_MUX*
		CORE65LPSVT/HS65_LS_NOR2A*
		CORE65LPSVT/HS65_LS_NOR3A*
		CORE65LPSVT/HS65_LS_NAND3A*
		CORE65LPSVT/HS65_LS_NAND2A*
		CORE65LPSVT/HS65_LS_AO3*
		CORE65LPSVT/HS65_LS_AO2*
		CORE65LPSVT/HS65_LS_AO1*
		CORE65LPSVT/HS65_LS_OA1*
		CORE65LPSVT/HS65_LS_OA2*
		CORE65LPSVT/HS65_LS_OA3*
		CORE65LPSVT/HS65_LSS_XOR*
		CORE65LPSVT/HS65_LSS_XNOR*
		CORE65LPSVT/HS65_LS_XOR*
		CORE65LPSVT/HS65_LS_XNOR*
		CORE65LPSVT/HS65_LS_OR*
		CORE65LPSVT/HS65_LS_AND*
		CORE65LPSVT/HS65_LS_HA*
		CORE65LPSVT/HS65_LS_CB4I6*
		CORE65LPSVT/HS65_LS_CB4I1*
		CORE65LPSVT/HS65_LS_MX*
		CORE65LPSVT/HS65_LS_CNBF*
		}
set_dont_touch {U* T*/U*}
compile -ungroup_all
report_area > tree_area.rpt
report_timing
write -f verilog -output "test_opt.v"
exit
