% ------ lifetime optimization --------------

% intrinsic delay
d1_0 = 0.431020;
d2_0 =1.371;

% degradation after 10 years
delta_1 = 0.2357/10^(1/6);
delta_2 =(0.2815+3*0.0146)/10^(1/6);

% post-ageing delay
x = 0:1:100;
d1 = d1_0 + delta_1*x.^(1/6);
d2 = d2_0 + delta_2*x.^(1/6);
y1_plot = plot(x, y1, 'b');
hold on
y2_plot = plot(x, y2, 'r');
grid on
ten_year_x1 = line([10 10], [0 max([y1,y2,y3])], 'Color', 'k');
[inter_x1, inter_y1] = intersections(x, y1, [10,10], [0,max([y1,y2])],1);
y2_year = line([0 100], [inter_y1 inter_y1], 'Color', 'k');

% t_clk
inter_y1=1.7;
[inter_x2, inter_y2] = intersections(x, y2, [0,100], [inter_y1, inter_y1],1);
ten_year_x2 = line([inter_x2 inter_x2], [0 inter_y2], 'Color', 'k');

% lifetime increases
(inter_x2 - 10)/10 * 100